PiVPN installs OpenVPN by default, no choice to choose Wireguard

PiVPN installs OpenVPN by default, no choice to choose Wireguard.
Anybody else having this issue?
Thanks & regards
Frans

Required Information

  • DietPi version |
    G_DIETPI_VERSION_CORE=8
    G_DIETPI_VERSION_SUB=11
    G_DIETPI_VERSION_RC=2
    G_GITBRANCH=‘master’
    G_GITOWNER=‘MichaIng’
    G_LIVE_PATCH_STATUS[0]=‘not applicable’
  • Distro version |
    bullseye
  • Kernel version |
    Linux DietPi 3.16.85+ #1 SMP PREEMPT Tue Jun 30 19:02:35 CEST 2020 aarch64 GNU/Linux
  • SBC model |
    Odroid C2 (aarch64)

you are running an extrem old kernel not supporting Wireguard. Therefore, PiVPN installer is not going to offer it.

I guess it’s an old image, installed long time ago. To get newer kernel version, a new install would be needed using recent image version.

Hi Joulinar,
thank you for taking care for PiVPN as well.
I had no problems to install and run Wireguard on this machine via the dietpi-software installer.
So this seems to be a PiVPN issue, rejecting my Kernel.
Just liked to use the GUI, but I’m fine with the basic solution too.
Thank you for clarification, Frans

you are lucky, because on upcoming version DietPi v 8.12, we will disable Wireguard for all systems where Wireguard kernel module is not available v8.12 · MichaIng/DietPi@e8a944a · GitHub
Means systems who require DKMS to build Wireguard are not supported anymore.

Last minute! Neverthelessit looks like I should setup a new instance. Thank you for notifying.